Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph
Interface Graph.BuildQuery

Enclosing class:
  Graph

    public static interface Graph.BuildQuery

The interface used to complete a query submission.

Method Summary
`QueryResults` | `execute()` Execute the query and get the results.
`Graph.BuildQuery` | `using(Map<String,Object> variables)` Use the supplied variables when executing the query.
`Graph.BuildQuery` | `using(PlanHints hints)` Use the supplied hints when executing the query.
`Graph.BuildQuery` | `using(String variableName, Object value)` Use the supplied value for the given variable name when executing the query.

Method Detail

### using

    Graph.BuildQuery using(PlanHints hints)

  Use the supplied hints when executing the query.

  Parameters:
    `hints` - the hints
  Returns:
    this same interface for method chaining purposes; never null
  Throws:
    `IllegalArgumentException` - if the hints reference is null

### using

    Graph.BuildQuery using(Map<String,Object> variables)

  Use the supplied variables when executing the query.

  Parameters:
    `variables` - the variables
  Returns:
    this same interface for method chaining purposes; never null
  Throws:
    `IllegalArgumentException` - if the variables reference is null

### using

    Graph.BuildQuery using(String variableName,
                           Object value)

  Use the supplied value for the given variable name when executing the query.

  Parameters:
    `variableName` - the variable value
    `value` - the value to replace the variable during execution
  Returns:
    this same interface for method chaining purposes; never null
  Throws:
    `IllegalArgumentException` - if the variable name is null

### execute

    QueryResults execute()

  Execute the query and get the results.

  Returns:
    the query results

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.